Update Product Artists
curl --request PUT \
--url https://api.royalti.io/product/{id}/artists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artists": [
"artist-id-1",
"artist-id-2"
]
}
'import requests
url = "https://api.royalti.io/product/{id}/artists"
payload = { "artists": ["artist-id-1", "artist-id-2"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({artists: ['artist-id-1', 'artist-id-2']})
};
fetch('https://api.royalti.io/product/{id}/artists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Artist added to product"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Product
Update Product Artists
/product//artists
PUT
/
product
/
{id}
/
artists
Update Product Artists
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/product//artists Description: The/product/{id}/artists endpoint updates the artists associated with a specific product. It replaces all existing artist associations with the provided list.
Method:
PUT
Path Parameter:
| Parameter | Type | Description |
|---|---|---|
| id | string | The unique identifier of the product. |
| Parameter | Type | Description |
|---|---|---|
| artists | array | Array of artist IDs to associate with the product. |
Code Examples
const response = await fetch('https://api.royalti.io/product/example-id/artists', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"artists": [
{}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/product/example-id/artists',
headers={
'Authorization': f'Bearer {token}'
},
json={"artists":[{}]}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/product/example-id/artists \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"artists":[{}]}'
⌘I